Bug 144303 - Create Calc's Cross Cursor for Every Icon Theme
Summary: Create Calc's Cross Cursor for Every Icon Theme
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.3.0 target:7.4.0 target:7.3....
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-KarasaJaga Icon-Theme-Elementary Icon-Request Icon-Theme-Sifr Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2021-09-04 22:50 UTC by Rizal Muttaqin
Modified: 2022-06-19 08:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2021-09-04 22:50:13 UTC
With the introduction of cross cursor (tdf#104169) and the available option to switch between old normal pointer cursor and new cross cursor (tdf#142499) ideally every icon theme provide it's own variant of the cross cursor
Comment 1 Commit Notification 2021-09-05 04:40:58 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/180255b8fea029ac4a62b2e211afda8e52e053c1

Sukapura: tdf#144303 add cross cursor

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2022-02-23 04:54:29 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a3f2def9359825cb022c6f989f10eb3168bafe27

Breeze: tdf#144303 Calc's cross cursor

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-02-23 04:54:40 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/fafc9cb4ccb4d960c5bd65b7bd1210c22a14ec9b

Sifr: tdf#144303 Calc's cross cursor

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-02-23 13:51:04 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/306aa5c92ba91d0eedc5d31cb0bdde636953bfd2

Breeze: tdf#144303 Calc's cross cursor

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-02-23 13:52:15 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/52540a92343e72e4b402a6386464d69135460112

Karasa Jaga: tdf#144303 Calc's cross cursor

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-02-23 13:53:25 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/41a4de04e97f18c87d23127b76d554afcc309e41

Sifr: tdf#144303 Calc's cross cursor

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Rizal Muttaqin 2022-06-17 22:42:24 UTC
Current status:
Breeze: done
elementary: not yet
Karasa Jaga: Done
Sifr: Done
Sukapura: Done
Comment 8 Commit Notification 2022-06-19 06:36:51 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/50e60ef342b94974d57956f01427f93d91d9875f

elementary Sifr: tdf#144303 Calc cross cursor

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-06-19 08:29:24 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/08843504c4699d25e39c060a470d3c3b1294babd

elementary Sifr: tdf#144303 Calc cross cursor

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-06-19 08:29:35 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/4278c6420edfc122a048c08b2e8a29d281e5f92e

elementary Sifr: tdf#144303 Calc cross cursor

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.